cURL
curl --request GET \
--url https://api.example.com/v1/account/plans/{planVersionID}import requests
url = "https://api.example.com/v1/account/plans/{planVersionID}"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://api.example.com/v1/account/plans/{planVersionID}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.example.com/v1/account/plans/{planVersionID}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.example.com/v1/account/plans/{planVersionID}"
req, _ := http.NewRequest("GET", url, nil)
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.example.com/v1/account/plans/{planVersionID}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.example.com/v1/account/plans/{planVersionID}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
response = http.request(request)
puts response.read_body{
"planId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"planVersionId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"code": "<string>",
"kind": "trial",
"name": "<string>",
"billingPeriod": "<string>",
"durationSeconds": 123,
"price": {
"amountMinor": 123,
"currency": "<string>"
},
"operations": [
"purchase"
],
"eligible": true,
"squads": {
"selection": "<string>",
"minimum": 123,
"configurable": true,
"offered": [
{
"squadId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"label": "<string>"
}
],
"maximum": 123
},
"addons": [
{
"addonId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"addonVersionId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"code": "<string>",
"kind": "traffic",
"name": "<string>",
"maxQuantity": 123,
"proration": "<string>",
"price": {
"amountMinor": 123,
"currency": "<string>"
},
"description": "<string>",
"squadCount": 123,
"trafficBytes": 123,
"deviceSlots": 123
}
],
"promotions": [
{
"code": "<string>",
"kind": "<string>",
"value": 123,
"eligible": true,
"currency": "<string>",
"startsAt": "2023-11-07T05:31:56Z",
"endsAt": "2023-11-07T05:31:56Z"
}
],
"description": "<string>",
"sortOrder": 123,
"gracePeriodSeconds": 123,
"recurringCapable": true,
"configurableSquads": true,
"held": true,
"ineligibleReason": "<string>",
"trafficAllowanceBytes": 123,
"deviceLimit": 123,
"termsUrl": "<string>"
}{
"type": "<string>",
"title": "<string>",
"status": 123,
"detail": "<string>",
"request_id": "<string>"
}account
Get v1accountplans 1
GET
/
v1
/
account
/
plans
/
{planVersionID}
cURL
curl --request GET \
--url https://api.example.com/v1/account/plans/{planVersionID}import requests
url = "https://api.example.com/v1/account/plans/{planVersionID}"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://api.example.com/v1/account/plans/{planVersionID}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.example.com/v1/account/plans/{planVersionID}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.example.com/v1/account/plans/{planVersionID}"
req, _ := http.NewRequest("GET", url, nil)
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.example.com/v1/account/plans/{planVersionID}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.example.com/v1/account/plans/{planVersionID}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
response = http.request(request)
puts response.read_body{
"planId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"planVersionId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"code": "<string>",
"kind": "trial",
"name": "<string>",
"billingPeriod": "<string>",
"durationSeconds": 123,
"price": {
"amountMinor": 123,
"currency": "<string>"
},
"operations": [
"purchase"
],
"eligible": true,
"squads": {
"selection": "<string>",
"minimum": 123,
"configurable": true,
"offered": [
{
"squadId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"label": "<string>"
}
],
"maximum": 123
},
"addons": [
{
"addonId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"addonVersionId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"code": "<string>",
"kind": "traffic",
"name": "<string>",
"maxQuantity": 123,
"proration": "<string>",
"price": {
"amountMinor": 123,
"currency": "<string>"
},
"description": "<string>",
"squadCount": 123,
"trafficBytes": 123,
"deviceSlots": 123
}
],
"promotions": [
{
"code": "<string>",
"kind": "<string>",
"value": 123,
"eligible": true,
"currency": "<string>",
"startsAt": "2023-11-07T05:31:56Z",
"endsAt": "2023-11-07T05:31:56Z"
}
],
"description": "<string>",
"sortOrder": 123,
"gracePeriodSeconds": 123,
"recurringCapable": true,
"configurableSquads": true,
"held": true,
"ineligibleReason": "<string>",
"trafficAllowanceBytes": 123,
"deviceLimit": 123,
"termsUrl": "<string>"
}{
"type": "<string>",
"title": "<string>",
"status": 123,
"detail": "<string>",
"request_id": "<string>"
}Path Parameters
Query Parameters
Available options:
ru, en Response
Plan
Available options:
trial, one_time, recurring, manual Show child attributes
Show child attributes
The lifecycle actions the configured plan policy allows for this customer.
Available options:
purchase, extension, upgrade, downgrade Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
The customer already holds an entitlement for this plan, so the catalogue can mark it as the one they are on.
Null means unlimited. Nullable rather than zero because unlimited and none are different offers.
Null means unlimited.